> For the complete documentation index, see [llms.txt](https://docs.kafka-eagle.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kafka-eagle.org/2.installation/4.configuration.md).

# 4.Configuration

## 2.4.1 Overview

EFAK has a number of configuration options that you can specify in a .properties configuration file or specified using environment variables.

{% hint style="info" %}
You must restart EFAK for any configuration changes to take effect.
{% endhint %}

## 2.4.2 Config file locations

Do not rename `system-config.properties`! EFAK defaults are stored in this file.

## 2.4.3 Base Common

| Name                         | Default                                | Describe                                                     |
| ---------------------------- | -------------------------------------- | ------------------------------------------------------------ |
| efak.zk.cluster.alias        | cluster1,cluster2                      | Kafka multi cluster alias attribute.                         |
| cluster1.zk.list             | ke01:2181,ke02:2181,ke03:2181/cluster1 | Kafka cluster1 zookeeper address.                            |
| cluster2.zk.list             | ke01:2181,ke02:2181,ke03:2181/cluster2 | Kafka cluster2 zookeeper address.                            |
| kafka.zk.limit.size          | 8                                      | EFAK maximum number of connections for the Zookeeper client. |
| cluster1.efak.broker.size    | 10                                     | Kafka broker size online list.                               |
| cluster2.efak.broker.size    | 20                                     | Kafka broker size online list.                               |
| efak.webui.port              | 8048                                   | EFAK webui port.                                             |
| cluster1.efak.offset.storage | kafka                                  | Kafka offsets stored in kafka.                               |
| cluster1.efak.offset.storage | zk                                     | Kafka offsets stored in zookeeper.                           |
| efak.metrics.charts          | false                                  | EFAK default disable metrics.                                |
| efak.metrics.retain          | 15                                     | EFAK default retain metrics data.                            |
| efak.sql.fix.error           | false                                  | EFAK default disable fixed kafka sql query error.            |
| efak.sql.topic.records.max   | 5000                                   | EFAK SQL query topic max records.                            |
| efak.topic.token             | keadmin                                | EFAK delete topic token.                                     |

## 2.4.4 Database Property

### MySQL

| Name          | Default                                                                                                     | Describe                      |
| ------------- | ----------------------------------------------------------------------------------------------------------- | ----------------------------- |
| efak.driver   | com.mysql.jdbc.Driver                                                                                       | EFAK store database driver.   |
| efak.url      | jdbc:mysql://127.0.0.1:3306/ke?useUnicode=true\&characterEncoding=UTF-8\&zeroDateTimeBehavior=convertToNull | EFAK store database url.      |
| efak.username | root                                                                                                        | EFAK store database username. |
| efak.password | 123456                                                                                                      | EFAK store database password. |

### SQLite

| Name          | Default                                  | Describe                      |
| ------------- | ---------------------------------------- | ----------------------------- |
| efak.driver   | org.sqlite.JDBC                          | EFAK store database driver.   |
| efak.url      | jdbc:sqlite:/hadoop/kafka-eagle/db/ke.db | EFAK store database url.      |
| efak.username | root                                     | EFAK store database username. |
| efak.password | 123456                                   | EFAK store database password. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kafka-eagle.org/2.installation/4.configuration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
